Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 444366 - unique subslot for live ebuilds
Summary: unique subslot for live ebuilds
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Hosted Projects
Classification: Unclassified
Component: PMS/EAPI (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: PMS/EAPI
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: future-eapi
  Show dependency tree
 
Reported: 2012-11-22 20:55 UTC by Christoph Junghans
Modified: 2016-03-23 02:20 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Junghans gentoo-dev 2012-11-22 20:55:56 UTC
Some packages build from git/svn change their ABI continuously, so a subslot depending on either
- git sha ( SLOT="0/$(git rev-parse ${UPSTREAM_BRANCH})")
- build time ( SLOT="0/$(date +%s)" )
would be useful to allow automatic rebuild of packages, which depend on the first package. 

The former suggestion is a bit hard to implement as the code is maybe not available/up-to-date/cloned at the stage, where the SLOT is calculated. The latter is possible, but the time changes during build, which will lead to confusion of the PM (sse gromacs-4.6.999 and gromacs-manual-4.6.999 in the sci-overlay)

My suggestion would be to allow SLOT="0/=", which would generate a unique subslot for that build. Of course this is slightly more than the git sha, but could also be used for cases, where the ABI is different for every use flag combination or differs with used compiler.

(This is related to bug #174407)
Comment 1 Ian Stakenvicius (RETIRED) gentoo-dev 2012-11-22 21:04:02 UTC
This would be a helpful addon.

I would like to request that 0/= not be the syntax however, as I am hoping to request that syntax to support sub-slot passthrough (ie, for virtuals).
Comment 2 Christoph Junghans gentoo-dev 2012-11-22 21:44:51 UTC
(In reply to comment #1)
> This would be a helpful addon.
> 
> I would like to request that 0/= not be the syntax however, as I am hoping
> to request that syntax to support sub-slot passthrough (ie, for virtuals).
Why not "0/#" ? As it acts like a hash value for the build.
Comment 3 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2014-09-06 22:19:33 UTC
I don't think we can really go forward with this. Slots have to be static for proper caching and dependency resolution, and subslot is a part of the slot.  Moreover, live ebuilds aren't really supported, so I'm not convinced that adding extra magic for them is a good idea.
Comment 4 Christoph Junghans gentoo-dev 2016-03-23 02:20:55 UTC
Ok, WONTFIX then!